Subject: Re: git-clone --how-much-disk-space-will-this-cost-me? [--depth n]

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 17 Dec 2008 08:21:27 -0800

Nicolas Pitre <[email-masked]> wrote:
> 
> And I consider any system doing such thing completely stupid.  Either 
> you consistently know the information or you don't.  When you don't, it 
> is best to not create expectations for the user.  And so far I think 
> that 99.9% of git users are just fine with the progress display we 
> currently provide.

Certainly true here; I never care how big the source I'm cloning is.
But then again I have pretty good network connectivity at work
and at least cable modem service at home...  most things clone down
pretty fast.

Its a quick hack to give a size upper bound.  I don't think its
that ugly.  Our network protocol is uglier with all of its hidden
fields jammed behind that NUL in the first advertisement line.
But I digress.

The better feature is probably resumable clone anyway.  At least
then people can abort a "long running" clone and have a good chance
they can pick it up again in the near future.  Its also not easy to
implement, which is why we've only been talking about it for years
and never actually seen a patch proposing to do it.

-- 
Shawn.